QGIS Application - Bug report #21776
rendering cycles forever when viewing raster at certain scales
2019-04-05 12:04 PM - Tony Walters

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.6.1 Regression?: No
Operating System: Win 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29591
Description

When viewing high resolution LiDAR rasters, the canvas renders continuously and the LiDAR segments flash on and off at certain

scales.

The problem exhibits when the raster has the opacity widget enabled on the label. Problem disappears when widget is removed.
Associated behaviour is that the Ul hangs with the blue busy wheel for approx. a minute, then for 10 seconds will respond, then goes busy
again and cycles forever. As well, the QGIS process size keeps increasing by 10MB blocks as reported by Task Manager. | eventually
have to terminate the process because it will expand to more than 15GB in size.

History

#1 - 2019-04-05 12:07 PM - Alessandro Pasotti
- Status changed from Open to Feedback

Can you share share a test project and data to reproduce this issue?

#2 - 2019-04-05 04:37 PM - Tony Walters
- Status changed from Feedback to Open

The project where this behaviour occurs is very large - many GB. | created a small project with one of the LiDAR rasters that were exhibiting the behaviour.

Unfortunately, the problem does not occur on that. | attach the link to the files anyway.

As a note, the problems does seem to be worse when there are many layers. Is it possible that with many layers the system has to continuously iterate
across the layers? Should there be an index on the layers or some mechanism to make that a lightweight function?

It will be hard to de-compose the main project incrementally to see where the problem goes away (if it does).
Any other suggestions on how | can assist debugging this?

https://we.tl/t-efLv3BAMSQJ

#3 - 2019-04-06 12:09 PM - Giovanni Manghi
- Priority changed from Low to Normal

Tony Walters wrote:

Any other suggestions on how | can assist debugging this?
https://we.tl/t-efLv3AMSQJ

linking (even privately if contains non shareble data) the large project and data would help.
